Skip to content

get

GET
/manifest/v1
curl --request GET \
--url 'https://example.com/manifest/v1?graph_ids=00000000-0000-0000-0000-000000000000&include_context=false&include_blobs=true' \
--header 'Authorization: Bearer <token>'
graph_ids
required
Array<string>
Example
[
"00000000-0000-0000-0000-000000000000"
]
include_context
boolean
nullable

Whether to populate the context field in the manifest

Example
false
include_blobs
boolean
nullable

Whether to include blobs in the manifest

Example
true

Returns a manifest only for the statements that fit the filter

Media type application/json

A manifest packages statements, contexts, and blobs for distribution.

Version 3 manifest format that bundles statements with their JSON-LD contexts, binary blobs, and optional anchoring information.

object
anchors

Optional anchor records proving statement publication

Array<object>
nullable

Represents an anchor point for lineage statements on external systems

object
locations
required

Storage locations where the statements are anchored

Array
One of:
object
integrity_store
required
string
payload
required
One of:
object
type
required
string
Allowed values: Statement
statements
required

List of statement identifiers or full statements being anchored

Array<string>
blobs
required

Binary blobs referenced by statements, keyed by CID

object
key
additional properties
string
contexts
required

JSON-LD context definitions embedded for self-contained processing

object
key
additional properties
statements
required

Statements included in this manifest, keyed by statement ID

object
key
additional properties
One of:

Records an association between a subject and another entity

This statement type is used to create relationships between artifacts, such as linking data to its metadata, or connecting related entities.

object
@context
required

JSON-LD context URL

string
@id
required

Unique identifier for this statement

string
@type
required

Statement type identifier

string
association
required

The associated entities (CID or DID)

Array<string>
registeredBy
required

DID of the entity that registered this statement

string
subject
required

The subject of the association (CID or DID)

string
timestamp
required

ISO 8601 timestamp of when the statement was created

string
type
required
string
Allowed values: certifies includes isInstanceOf
version
required

Manifest format version

string
Example
{
"anchors": [
{
"payload": {
"type": "Statement"
}
}
],
"statements": {
"additionalProperty": {
"type": "certifies"
}
}
}